<?php
ob_start();
require_once("../../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../../includes/academia.locale.php");
require_once("../../includes/funciones_generales.php");
$sesion->set('permiso',permisos($_POST['privilegio']));	
require_once('../../includes/html2pdf/html2pdf.class.php'); 
//function compress_page($buffer) { $search = array('/\>[^\S ]+/s','/[^\S ]+\</s','/(\s)+/s'); $replace = array('> ',' <','\\1'); return preg_replace($search, $replace, $buffer); }

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}
require_once("../../includes/Parser.php");
require_once("../../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	
$dtsEsquema=array();
$ide_est = trim($_GET['idest']);
$dtsEsquema['numide']=$ide_est;
$dtsEsquema['nomape']= trim(strtoupper($_GET['nomest']));
$dtsEsquema['tipoid']=$_GET['tipid'];
$dtsEsquema['fecha']=fechaTexto(date("Y-m-d"),false);

$nomgrupo=$sesion->getVar('configuracion.nombres_grupos');

	$cad="SELECT
view_datos_grupos.nom_jornada,view_datos_grupos.nom_grupo_let,view_datos_grupos.nom_sede,view_datos_grupos.nom_grado,
view_datos_grupos.tipo_edu,aux_mpios.nom_mpio,aux_tipos_identificacion.nom_tipoiden, 
lower(concat_ws(' ',aca_estudiantes.apellido1_est,aca_estudiantes.apellido2_est,aca_estudiantes.nombre1_est,aca_estudiantes.nombre2_est)) as nom_ape
fROM aca_estudiantesxgrupos INNER JOIN aca_estudiantes ON (aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante) INNER JOIN aux_mpios ON (aca_estudiantes.lugexpedoc_est = aux_mpios.cod_mpio) INNER JOIN view_datos_grupos ON (aca_estudiantesxgrupos.cod_grupo = view_datos_grupos.cod_grupo) INNER JOIN aux_tipos_identificacion ON (aca_estudiantes.tipodocumento_est = aux_tipos_identificacion.ide_tipoiden)
WHERE (aca_estudiantes.numedocumento_est ='$ide_est')";
//echo $cad;
	$academia->instruccion($cad);
	$row=$academia->extraer_registro();
	
	$nomjornada=$row['nom_jornada'];
	$nomgrupo=$row['$nomgrupo'];
	$nomsede=$row['nom_sede'];
	$nomgrado=strtoupper($row['nom_grado']);
	$nomexp=$row['nom_mpio'];
	$nomtipoide=$row['nom_tipoiden'];
	$edutipo=$row['tipo_edu'];
	$dtsEsquema['nomape']= trim(strtoupper($row['nom_ape']));
	$dtsEsquema['tipoid']=$nomtipoide;
	
	$dtsEsquema['lugexp']=$nomexp;
	$dtsEsquema['nomsede']=$nomsede;
	$dtsEsquema['grado']=$nomgrado;
	$dtsEsquema['grupo']=$nomgrupo;
	$dtsEsquema['jornada']=$nomjornada;
	$dtsEsquema['nomtipoid']=$nomtipoide;
	$dtsEsquema['tipoedu']=$edutipo;

	$academia->liberar();
	$academia->instruccion("SELECT ide_adtivo, LCASE(CONCAT_WS(' ', no1_adtivo, no2_adtivo,ape1_adtivo, ape2_adtivo)) nom_ape FROM adm_administrativos WHERE cod_cargo=1");
	$reg=$academia->extraer_registro();
	$dtsEsquema['rector']=strtoupper($reg['nom_ape']);
?> 
 <page backtop="50mm" backbottom="35mm" backleft="35mm" backright="35mm"> 
      <page_header>
         <?php  $encabezado=$sesion->getVar('info_colegio.enca_dtos'); 
		 		$encabezado=str_replace('src="','src="../../',$encabezado);
				$encabezado=str_replace("src='","src='../../",$encabezado);
				echo $encabezado;
		 ?>
      </page_header> 
      <page_footer> 
           <?php  $pie= $sesion->getVar('info_colegio.pie'); 
           		  $pie=str_replace('src="','src="../../',$pie);
				  $pie=str_replace("src='","src='../../",$pie);
				  echo $pie;
			?>
      </page_footer>  
      <?php 
	  
	  	$cons="SELECT esquema_documento FROM conf_documentos where ide_documento='cons_mat_est'";
		$academia->instruccion($cons);
		$row = $academia->extraer_registro();
		$esqdoc=$row['esquema_documento'];
	  	$parse=new CI_Parser();
	  	echo $parse->parse($esqdoc,$dtsEsquema,true);
	  ?>
      
      
</page>
 
 
 <?php 
      $content = ob_get_clean(); 
      $pdf = new HTML2PDF('P','LETTER','es', array('10mm', '20mm', '10mm', '20mm')); 
      $pdf->WriteHTML($content); 
      $pdf->Output('Listado de estudiantes grado .pdf'); 
 ?>






